Bug 78297 - Options to allow non-base64/quoted-printable encodings for signed mail
Summary: Options to allow non-base64/quoted-printable encodings for signed mail
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: evolution (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-20 22:20 UTC by Luca Barbieri
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-20 22:22:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (19.33 KB, patch)
2002-11-20 22:22 UTC, Luca Barbieri
no flags Details | Diff

Description Luca Barbieri 2002-11-20 22:20:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913
Debian/1.2.6-2

Description of problem:
When signing mail Evolution forces base64 or quoted-printable for the 
purpose of reducing the likelyhood of mail gateways modifying the body 
and making the signature unverifiable. 

However, this causes serious problems when the mail has to be read by 
programs that do not understand these encodings (such as Linus Torvalds' patch
scripts). 

Furthermore, if mail is sent directly rather than through an ISP 
smarthost (and the MTA on localhost isn't broken), mail can only 
corrupted by the recipient (that presumably is capable of correctly 
configuring a mail server). 

This patch adds a couple of options to allow non-base64/quoted-printable 
encodings in GnuPG signed mail and in S/MIME signed mail. 

If you consider my implementation unacceptable, please still consider 
the feature request and provide an alternate implementation. 

The S/MIME part is untested.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
n/a

Additional info:

Comment 1 Luca Barbieri 2002-11-20 22:22:15 UTC
Created attachment 85766 [details]
Patch

Comment 2 Jeremy Katz 2002-11-22 17:24:47 UTC
Upstream didn't accept the patch and we're not going to fork to add new options
and change UI.  Additionally, fejj's reply as to why the patch isn't accepted
upstream applies equally here.


Note You need to log in before you can comment on or make changes to this bug.